Subject: bug#7397: bug#8302: 23.3; Parallel make: some *.el files are byte-compiled twice

From: Glenn Morris <[email-masked]>
Date: Tue, 24 May 2011 13:31:30 -0400

( Moving comments from bug#8302 to bug#7397 )

Dan Nicolaescu wrote:

>>> Or even better make make-docfile accept arguments from a file, using the
>>> @FILE syntax used by other GNU tools.  That would deal with the command
>>> line length limitations.
>>
>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7397
>>
>> By itself, I don't see how this helps, since you still need to find a
>> way to write the input file without overflowing the command line length.
>
> Use >> ?

I still don't get it. You cannot do:
    
    for file in $lisp; do
      sed '<blah>' $lisp >> input-file
    done
    
    make-docfile @input-file

because the "for file..." line could be too long for the shell.

> [This might be a moot point now that a solution has been implemented, so
> please don't keep this bug open just for this reason]

I may close #7397 in a bit then.